Subject: remake-configure-dependencies test fails on fast systems without subsecond timestamps
From: Colin Watson <[email-masked]>
To: [email-masked]
Date: Sat, 1 Jun 2013 12:20:03 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Automake 1.13.2 failed t/remake-configure-dependencies.sh in two
consecutive attempts on Ubuntu autobuilders.  On inspection I found that
our autobuilder network happened to pick the same backend machine each
time, which was a relatively old one still using ext3.  (Our newer
builders use ext4.)  On running this test in a loop-mounted ext3
filesystem on my laptop, I reproduced the failure first time:

  Running from installcheck: no
  Test Protocol: none
  PATH = /home/cjwatson/src/ubuntu/automake1.13/tmp/t/automake1.13-1.13.2/t/wrap:/home/cjwatson/src/ubuntu/automake1.13/tmp/t/automake1.13-1.13.2/t/ax:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
  ++ pwd
  /home/cjwatson/src/ubuntu/automake1.13/tmp/t/automake1.13-1.13.2/t/remake-configure-dependencies.dir
  + cat
  + cat
  + cat
  + echo '#!/bin/sh'
  + echo 'printf %s 1.0'
  + chmod a+x print-version
  + aclocal-1.13 -Werror
  + autoconf
  + automake-1.13 --foreign -Werror -Wall
  + ./configure
  checking for a BSD-compatible install... /usr/bin/install -c
  checking whether build environment is sane... yes
  checking for a thread-safe mkdir -p... /bin/mkdir -p
  checking for gawk... no
  checking for mawk... mawk
  checking whether make sets $(MAKE)... yes
  checking whether make supports nested variables... yes
  checking that generated files are newer than configure... done
  configure: creating ./config.status
  config.status: creating Makefile
  + make test-1
  test 1.0 = 1.0
  + echo '#!/bin/sh'
  + echo 'printf %s 2.1'
  + using_gmake
  + case $am__using_gmake in
  + make --version -v
  + grep GNU
  GNU Make 3.81
  + am__using_gmake=yes
  + return 0
  + make test-2
   cd . && /bin/bash /home/cjwatson/src/ubuntu/automake1.13/tmp/t/automake1.13-1.13.2/t/remake-configure-dependencies.dir/missing automake-1.13 --foreign
  CDPATH="${ZSH_VERSION+.}:" && cd . && /bin/bash /home/cjwatson/src/ubuntu/automake1.13/tmp/t/automake1.13-1.13.2/t/remake-configure-dependencies.dir/missing autoconf
  test 1.0 = 2.1
  make: *** [test-2] Error 1
  + am_exit_trap 2
  + exit_status=2
  + set +e
  + cd /home/cjwatson/src/ubuntu/automake1.13/tmp/t/automake1.13-1.13.2
  + test none = tap
  + case $am_explicit_skips in
  + test 2 -eq 0
  + keep_testdirs=yes
  + am_keeping_testdirs
  + case $keep_testdirs in
  + return 0
  + set +x
  remake-configure-dependencies: exit 2

I think perhaps a sprinkling of $sleep is called for in this test?

Thanks,

-- 
Colin Watson                                       [[email-masked]]